%global origname traffic-accounting-nginx-module

Name:           nginx-mod-traffic-accounting
Version:        2.0
Release:        1%{?dist}
Summary:        nginx traffic accounting module
License:        BSD

URL:            https://github.com/Lax/traffic-accounting-nginx-module
Source0:        %{url}/archive/v%{version}/%{origname}-%{version}.tar.gz

Requires:       nginx-mod-http-accounting
#Requires:       nginx-mod-stream-accounting

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel

%description
Monitor the incoming and outgoing traffic metrics in realtime for NGINX.

%package -n nginx-mod-http-accounting
Summary:        Nginx HTTP accounting module

%description -n nginx-mod-http-accounting
%{summary}.

#%package -n nginx-mod-stream-accounting
#Summary:        Nginx stream accounting module
#Requires:       nginx-mod-stream
#
#%description -n nginx-mod-stream-accounting
#%{summary}.

%prep
%autosetup -n %{origname}-%{version}

%build
%nginx_modconfigure
#%nginx_modconfigure --with-stream
%nginx_modbuild

%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_accounting_module.so %{buildroot}%{nginx_moddir}
#install -pm 0755 ngx_stream_accounting_module.so %{buildroot}%{nginx_moddir}
install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_accounting_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-http-accounting.conf
#echo 'load_module "%{nginx_moddir}/ngx_stream_accounting_module.so";' \
#    > %{buildroot}%{nginx_modconfdir}/mod-stream-accounting.conf
popd

%files
%license LICENSE
%doc README.md

%files -n nginx-mod-http-accounting
%license LICENSE
%{nginx_moddir}/ngx_http_accounting_module.so
%{nginx_modconfdir}/mod-http-accounting.conf

#%files -n nginx-mod-stream-accounting
#%license LICENSE
#%{nginx_moddir}/ngx_stream_accounting_module.so
#%{nginx_modconfdir}/mod-stream-accounting.conf
